{% extends 'base.html' %}
{% block title %}Заметки{% endblock %}
{% block content %}

<table cellpadding="5px" width="100%" border="0">
    <tr>
        <td width="60%" align="left" style="font-size: 115%; color: navy;">
           {% if request.user.is_authenticated %}
            Пользователь: {{ request.user.email }}
            Число заметок: {{ count }}
           {% else %}
           {% endif %}
        </td>
        <td width="50%" align="right" valign="top" style="font-size: 105%;">
          {% if request.user.is_authenticated %}
            <a href="{% url 'home' %}">На главную</a> |
            <a href="{% url 'notes_add' %}">Добавить заметку</a> |
            <a href="{% url 'logout' %}">Выйти</a>
          {% else %}
            <a href="{% url 'register' %}">Регистрация</a> | <a href="{% url 'login' %}">Войти</a>
          {% endif %}
        </td>
    </tr>
</table>
{% if count != 0  %}
<table cellspacing="30px" style="font-size: 125%; position: absolute; top: 10%; left: 30%" border="0">
  <thead>
     <tr>
         <td colspan="2" align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Список ваших заметок</div>
         </td>
     </tr>
     <tr style="font-weight: bold">
          <td width="300px">Заметка</td>
          <td width="250px">Дата создания</td>
     </tr>
  </thead>
      {% for row in note_list %}
      <tr>
          <td>{{ row.remark }}</td>
          <td valign="top">{{ row.date_saved }}</td>
      </tr>
      {% endfor %}
</table>
{% elif request.user.is_authenticated %}
<table cellspacing="25px" style="font-size: 125%; position: absolute; top: 30%; left: 30%" border="0">
     <tr>
         <td align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Создайте свою первую заметку</div>
         </td>
     </tr>
</table>
{% else %}
<table cellspacing="25px" style="font-size: 125%; position: absolute; top: 30%; left: 35%" border="0">
     <tr>
         <td align="center" height="60px">
           <div style="font-size: 170%; color: teal; font-weight: bold">Войдите в систему</div>
         </td>
     </tr>
</table>
{% endif %}
{% endblock %}